﻿
Public Class Form1

    Dim Avvio As DateTime
    Dim FileTesto As String = IO.Path.Combine(Application.StartupPath, "DurataBatteria.txt")

    Private Sub ButAVVIA_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButAVVIA.Click

        Avvio = Now
        Dim riga1 As String = "TEST iniziato alle: " & Avvio
        Dim riga2 As String = "Salvataggio file su: " & FileTesto

        ListBox1.Items.Clear()
        ListBox1.Items.Add(riga1)
        ListBox1.Items.Add("Il file: DurataBatteria.txt se esiste viene sovrascritto.")
        ListBox1.Items.Add(riga2)

        Using outputFile As New IO.StreamWriter(FileTesto, False)
            outputFile.Write(riga1 & Environment.NewLine)
            outputFile.Write(riga2 & Environment.NewLine)
        End Using

        Me.Text = "TestBatteria in corso"
        Timer1.Enabled = True

    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick

        Dim stato As String = SystemInformation.PowerStatus.BatteryLifePercent * 100 & "%, trascorso: " & Now.Subtract(Avvio).ToString.Substring(0, 8)
        Dim riga As String = ""

        Select Case SystemInformation.PowerStatus.PowerLineStatus
            Case PowerLineStatus.Online
                riga = "Batteria in carica " & stato
            Case PowerLineStatus.Offline
                riga = "Batteria in scarica " & stato
            Case PowerLineStatus.Unknown
                riga = "Stato linea sconosciuto " & stato
        End Select

        If SystemInformation.PowerStatus.BatteryChargeStatus = BatteryChargeStatus.NoSystemBattery Then
            riga = "Batteria assente " & stato
        End If

        ListBox1.Items.Add(riga)
        ListBox1.SelectedIndex = ListBox1.Items.Count - 1
        Using outputFile As New IO.StreamWriter(FileTesto, True)
            outputFile.Write(riga & Environment.NewLine)
        End Using

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Timer1.Enabled = False
        Me.Text = "TestBatteria arrestato"
    End Sub

End Class
